#!/usr/bin/env sh

echo "=> Début de l'installation :"


echo "=> Valider les dépendences pour l'installation :"
# curl, zip
# Vérifie si wget est installé
if ! hash wget 2>/dev/null; then
    echo "wget n'est pas installé. Veuillez l'installer."
    exit 1
fi

# Vérifie si zip est installé    
if ! hash zip 2>/dev/null; then
    echo "zip n'est pas installé. Veuillez l'installer."
    exit 1 
fi


# download scut-<date>.zip
wget  -q https://git.bcmaison.cf/Outils/scut-reminder/raw/branch/main/scut-latest.zip

# Vérifie le code de retour de wget 
if [ $? -eq 0 ]; then
    echo "Téléchargement réussi!"
else
    echo "Erreur lors du téléchargement."
    exit 1
fi

# Vérifie que le fichier a bien été téléchargé
if [ -f "scut-latest.zip" ]; then
    echo "Fichier scut-latest.zip téléchargé avec succès."
else
    echo "Échec du téléchargement du fichier scut-latest.zip."
    exit 1
fi




# unzip scut-<date>.zip in ~/.config/scut/

